/***************************************************************************
                   Job Control Class Header ( JobControl.h )
                -----------------------------------------

	begin      : 2013/02/20
	copyright  : (C) 2013 Solbox Inc.
	author     : Development 1 Team
					- 2013/02/20 - 1st dadamin
	email      : dev1@solbox.com
	version    : 3.2.0

	CopyRight(C) 2005 Solbox Inc. All Rights reserved.
	Redistribution and use in source and binary forms, with or with out
	modification, are not permitted in outside of Solbox Inc.
***************************************************************************/
#ifndef __JOB_CONTROL_H__
#define __JOB_CONTROL_H__

#include "JobData.h"

class CJobControl
{
public:
	CJobControl();
	~CJobControl();

	inline CJobDataMap* GetJobData()	{ return (CJobDataMap*)&m_jobData; }
	int run();

protected:
	CJobDataMap		m_jobData;

private:

};

#endif // __JOB_CONTROL_H__
